# --- Fltk-1.0.tcl --- Initialization script for the package
#
# Created for Fltk-1.0.154-13
# Built on ganymede on Wed Dec 30 15:44:56 EST 2009
#
# Copyright(c) I.B.Findleton, 1998-2007. All RIghts Reserved.
#
# If the Tk package is included in the build, withdraw the main Tk window
#
catch { wm withdraw . }
#
# Find a script in one of the script directories of the installation

proc Which { name } {

	set SCRIPT_PATH { . ../scripts ../scripts/tests 
		$Fltk(Library)/scripts $Fltk(Library)/scripts/tests }

	foreach dir $SCRIPT_PATH {
		if { [file exists $dir/$name] } { 
			return $dir/$name
			}
		}

	return ""
	}	
	
# Run a script from the script library
	
proc RunScript { name { cmd source } { bg "" } } { 

	if { [file exists $name] } {
		$eval cmd $name $bg 
	} else {
		if { [set script [call Which $name]] != "" } { 
			eval $cmd $script $bg 
		} else {
			puts stderr "Script file $name not found!" 
			} 
		}
	}
	
# Loop over an index

proc Loop { from to body } { 

	for { set i $from } { $i < $to } { incr i [expr $from < $to ? 1 : -1] } { 
		if { [catch { eval $body } result] } { 
			puts stderr "loop over \"$body\" failed because : $result "
			return
			} 
		} 
	}
	
# Call a procedure and issue an error message if it fails

proc call { args } { 
		  
	if { [catch { uplevel 1 $args } result] } { 
		puts stderr " Procedure \" $args \" failed because : $result"
		} 
	return $result
	}
