#!/bin/sh
# \
exec tclsh "$0" ${1+"$@"}

# Strip the HTML tags from a block of data.This function also cleans
# up other stuff of no interest in the web page.

proc CleanHTMLBlock { txt } {

	regsub -all {Current(.*)Currently} $txt {} txt
	regsub -all {These icons(.*)World Wide Web Site.} $txt {} txt
	regsub -all {<IMG+|<img+} $txt {IMG} txt       ;# Image references
	regsub -all {<([^>])+>} $txt {} txt            ;# HTML Tags
	regsub -all -line {^([[:space:]])*\n} $txt {} txt 
	regsub -all {\t+} $txt { } txt                 ;# Tab characters
	regsub -all { +} $txt { } txt                  ;# Multiple blanks
	regsub -all -lineanchor {^( *)} $txt {} txt	  ;# Preceeding blanks
	regsub -all -line ^ $txt {} txt                ;# Empty lines
	regsub -all -line :\n^ $txt {: } txt		  ;# Data entries
	regsub -all -line {Temp(.?)\n^} $txt {Temp: } txt
	regsub -all -line {\n(.?)C } $txt {C} txt
	regsub -all -lineanchor $\nat $txt { at} txt   ;# Valid time
	
	return $txt
	}

# Open a file

proc OpenFile { name mode } {

	set fd [open $name $mode]

	if { $fd == "" } {
		puts stderr "File $name can not be opened for mode $mode"
		}

	return $fd
	}


if { [set in [OpenFile $argv r]] != "" } {
	if { [set out [OpenFile "testdata.txt" w]] != "" } {
		set txt [read $in]
		close $in
		puts $out [CleanHTMLBlock $txt]
		close $out
		}
	}	





