typedef struct { unsigned char r,g,b; } Rgb;

typedef struct { char *name; Rgb color; } ColorEntry;

static ColorEntry colors[] = {

	{ "aliceblue", {  239, 248, 255  } },
	{ "antiquewhite", {  250, 235, 215  } },
	{ "antiquewhite1", {  255, 239, 219  } },
	{ "antiquewhite2", {  237, 223, 204  } },
	{ "antiquewhite3", {  204, 192, 175  } },
	{ "antiquewhite4", {  139, 130, 119  } },
	{ "aquamarine", {  112, 219, 147  } },
	{ "aquamarine1", {  126, 255, 212  } },
	{ "aquamarine2", {  117, 237, 197  } },
	{ "aquamarine3", {  102, 204, 170  } },
	{ "aquamarine4", {  68, 139, 115  } },
	{ "azure", {  239, 255, 255  } },
	{ "azure1", {  239, 255, 255  } },
	{ "azure2", {  223, 237, 237  } },
	{ "azure3", {  192, 204, 204  } },
	{ "azure4", {  130, 139, 139  } },
	{ "bakerschoc", {  91, 51, 22  } },
	{ "beige", {  244, 244, 219  } },
	{ "bisque", {  255, 228, 195  } },
	{ "bisque1", {  255, 228, 195  } },
	{ "bisque2", {  237, 212, 183  } },
	{ "bisque3", {  204, 183, 157  } },
	{ "bisque4", {  139, 124, 106  } },
	{ "black", {  0, 0, 0  } },
	{ "blanchedalmond", {  255, 235, 204  } },
	{ "blue", {  0, 0, 255  } },
	{ "blue1", {  0, 0, 255  } },
	{ "blue2", {  0, 0, 237  } },
	{ "blue3", {  0, 0, 204  } },
	{ "blue4", {  0, 0, 139  } },
	{ "blueviolet", {  158, 94, 158  } },
	{ "blueviolet1", {  137, 42, 226  } },
	{ "brass", {  181, 165, 66  } },
	{ "brightgold", {  216, 216, 25  } },
	{ "brilliantred", {  173, 103, 103  } },
	{ "bronze", {  140, 119, 35  } },
	{ "bronze2", {  165, 124, 61  } },
	{ "brown", {  165, 42, 42  } },
	{ "brown1", {  164, 42, 42  } },
	{ "brown11", {  255, 64, 64  } },
	{ "brown2", {  237, 59, 59  } },
	{ "brown3", {  204, 51, 51  } },
	{ "brown4", {  139, 35, 35  } },
	{ "burlywood", {  221, 184, 135  } },
	{ "burlywood1", {  255, 210, 155  } },
	{ "burlywood2", {  237, 197, 144  } },
	{ "burlywood3", {  204, 170, 124  } },
	{ "burlywood4", {  139, 115, 84  } },
	{ "cadetblue", {  94, 158, 158  } },
	{ "cadetblue1", {  95, 157, 159  } },
	{ "cadetblue11", {  152, 244, 255  } },
	{ "cadetblue2", {  141, 228, 237  } },
	{ "cadetblue3", {  121, 197, 204  } },
	{ "cadetblue4", {  82, 133, 139  } },
	{ "chartreuse", {  126, 255, 0  } },
	{ "chartreuse1", {  126, 255, 0  } },
	{ "chartreuse2", {  117, 237, 0  } },
	{ "chartreuse3", {  102, 204, 0  } },
	{ "chartreuse4", {  68, 139, 0  } },
	{ "chocolate", {  210, 104, 30  } },
	{ "chocolate1", {  255, 126, 35  } },
	{ "chocolate2", {  237, 117, 33  } },
	{ "chocolate3", {  204, 102, 28  } },
	{ "chocolate4", {  139, 68, 19  } },
	{ "clear", {  255, 255, 255  } },
	{ "coolcopper", {  216, 135, 25  } },
	{ "copper", {  183, 114, 51  } },
	{ "coral", {  255, 126, 0  } },
	{ "coral1", {  255, 126, 79  } },
	{ "coral11", {  255, 113, 86  } },
	{ "coral2", {  237, 106, 79  } },
	{ "coral3", {  204, 90, 68  } },
	{ "coral4", {  139, 62, 46  } },
	{ "cornflowerblue", {  66, 66, 110  } },
	{ "cornflowerblue1", {  99, 148, 237  } },
	{ "cornsilk", {  255, 248, 219  } },
	{ "cornsilk1", {  255, 248, 219  } },
	{ "cornsilk2", {  237, 232, 204  } },
	{ "cornsilk3", {  204, 199, 177  } },
	{ "cornsilk4", {  139, 135, 119  } },
	{ "cyan", {  0, 255, 255  } },
	{ "cyan1", {  0, 255, 255  } },
	{ "cyan2", {  0, 237, 237  } },
	{ "cyan3", {  0, 204, 204  } },
	{ "cyan4", {  0, 139, 139  } },
	{ "darkblue", {  0, 0, 139  } },
	{ "darkbrown", {  49, 12, 12  } },
	{ "darkbrown1", {  91, 63, 51  } },
	{ "darkcyan", {  0, 139, 139  } },
	{ "darkgoldenrod", {  184, 133, 11  } },
	{ "darkgoldenrod1", {  255, 184, 15  } },
	{ "darkgoldenrod2", {  237, 172, 13  } },
	{ "darkgoldenrod3", {  204, 148, 11  } },
	{ "darkgoldenrod4", {  139, 101, 7  } },
	{ "darkgray", {  84, 84, 84  } },
	{ "darkgray1", {  168, 168, 168  } },
	{ "darkgreen", {  47, 79, 47  } },
	{ "darkgreen1", {  0, 99, 0  } },
	{ "darkgrey", {  84, 84, 84  } },
	{ "darkgrey1", {  168, 168, 168  } },
	{ "darkkhaki", {  188, 183, 106  } },
	{ "darkmagenta", {  139, 0, 139  } },
	{ "darkolivegreen", {  79, 79, 47  } },
	{ "darkolivegreen1", {  84, 106, 46  } },
	{ "darkolivegreen11", {  201, 255, 112  } },
	{ "darkolivegreen2", {  188, 237, 104  } },
	{ "darkolivegreen3", {  161, 204, 90  } },
	{ "darkolivegreen4", {  110, 139, 61  } },
	{ "darkorange", {  255, 139, 0  } },
	{ "darkorange1", {  255, 126, 0  } },
	{ "darkorange2", {  237, 117, 0  } },
	{ "darkorange3", {  204, 102, 0  } },
	{ "darkorange4", {  139, 68, 0  } },
	{ "darkorchid", {  153, 49, 204  } },
	{ "darkorchid1", {  153, 50, 204  } },
	{ "darkorchid11", {  190, 62, 255  } },
	{ "darkorchid2", {  177, 57, 237  } },
	{ "darkorchid3", {  153, 50, 204  } },
	{ "darkorchid4", {  104, 33, 139  } },
	{ "darkplum", {  114, 86, 114  } },
	{ "darkpurple", {  135, 30, 119  } },
	{ "darkred", {  139, 0, 0  } },
	{ "darksalmon", {  232, 150, 121  } },
	{ "darksea", {  142, 188, 142  } },
	{ "darkseagreen", {  142, 188, 142  } },
	{ "darkseagreen1", {  192, 255, 192  } },
	{ "darkseagreen2", {  179, 237, 179  } },
	{ "darkseagreen3", {  155, 204, 155  } },
	{ "darkseagreen4", {  104, 139, 104  } },
	{ "darkslateblue", {  107, 35, 142  } },
	{ "darkslateblue3", {  46, 79, 79  } },
	{ "darkslateblue6", {  71, 61, 139  } },
	{ "darkslategray", {  47, 79, 79  } },
	{ "darkslategray1", {  46, 79, 79  } },
	{ "darkslategray11", {  150, 255, 255  } },
	{ "darkslategray2", {  141, 237, 237  } },
	{ "darkslategray3", {  121, 204, 204  } },
	{ "darkslategray4", {  82, 139, 139  } },
	{ "darkslategrey", {  47, 79, 79  } },
	{ "darkslategrey1", {  46, 79, 79  } },
	{ "darktan", {  130, 89, 67  } },
	{ "darktan1", {  150, 104, 79  } },
	{ "darkturquoise", {  112, 147, 219  } },
	{ "darkturquoise1", {  0, 206, 208  } },
	{ "darkviolet", {  148, 0, 210  } },
	{ "darkwood", {  132, 94, 66  } },
	{ "deeppink", {  255, 19, 146  } },
	{ "deeppink1", {  255, 19, 146  } },
	{ "deeppink2", {  237, 17, 137  } },
	{ "deeppink3", {  204, 15, 117  } },
	{ "deeppink4", {  139, 9, 79  } },
	{ "deepsky", {  0, 190, 255  } },
	{ "deepskyblue", {  0, 190, 255  } },
	{ "deepskyblue1", {  0, 190, 255  } },
	{ "deepskyblue2", {  0, 177, 237  } },
	{ "deepskyblue3", {  0, 153, 204  } },
	{ "deepskyblue4", {  0, 104, 139  } },
	{ "dimbrown", {  97, 24, 24  } },
	{ "dimgray", {  84, 84, 84  } },
	{ "dimgray1", {  104, 104, 104  } },
	{ "dimgrey", {  84, 84, 84  } },
	{ "dimgrey1", {  104, 104, 104  } },
	{ "dkgreencopper", {  73, 117, 109  } },
	{ "dodgerblue", {  30, 144, 255  } },
	{ "dodgerblue1", {  30, 144, 255  } },
	{ "dodgerblue2", {  28, 133, 237  } },
	{ "dodgerblue3", {  23, 115, 204  } },
	{ "dodgerblue4", {  15, 77, 139  } },
	{ "dustyrose", {  132, 99, 99  } },
	{ "feldspar", {  209, 145, 117  } },
	{ "firebrick", {  142, 35, 35  } },
	{ "firebrick1", {  177, 33, 33  } },
	{ "firebrick11", {  255, 48, 48  } },
	{ "firebrick2", {  237, 44, 44  } },
	{ "firebrick3", {  204, 37, 37  } },
	{ "firebrick4", {  139, 26, 26  } },
	{ "flesh", {  244, 204, 175  } },
	{ "floralwhite", {  255, 250, 239  } },
	{ "forestgreen", {  35, 142, 35  } },
	{ "forestgreen1", {  33, 139, 33  } },
	{ "gainsboro", {  219, 219, 219  } },
	{ "ghostwhite", {  248, 248, 255  } },
	{ "gold", {  153, 127, 66  } },
	{ "gold1", {  255, 215, 0  } },
	{ "gold2", {  204, 126, 49  } },
	{ "gold21", {  237, 201, 0  } },
	{ "gold3", {  255, 215, 0  } },
	{ "gold31", {  204, 172, 0  } },
	{ "gold4", {  139, 117, 0  } },
	{ "goldenrod", {  219, 219, 112  } },
	{ "goldenrod1", {  217, 164, 31  } },
	{ "goldenrod11", {  255, 192, 37  } },
	{ "goldenrod2", {  237, 179, 33  } },
	{ "goldenrod3", {  204, 155, 28  } },
	{ "goldenrod4", {  139, 104, 19  } },
	{ "gray", {  191, 191, 191  } },
	{ "gray05", {  12, 12, 12  } },
	{ "gray051", {  0, 0, 0  } },
	{ "gray10", {  25, 25, 25  } },
	{ "gray100", {  255, 255, 255  } },
	{ "gray102", {  26, 26, 26  } },
	{ "gray102", {  26, 26, 26  } },
	{ "gray11", {  28, 28, 28  } },
	{ "gray12", {  31, 31, 31  } },
	{ "gray13", {  33, 33, 33  } },
	{ "gray14", {  35, 35, 35  } },
	{ "gray15", {  38, 38, 38  } },
	{ "gray151", {  37, 37, 37  } },
	{ "gray16", {  40, 40, 40  } },
	{ "gray17", {  42, 42, 42  } },
	{ "gray18", {  46, 46, 46  } },
	{ "gray19", {  48, 48, 48  } },
	{ "gray20", {  190, 190, 190  } },
	{ "gray20", {  190, 190, 190  } },
	{ "gray203", {  51, 51, 51  } },
	{ "gray203", {  51, 51, 51  } },
	{ "gray21", {  53, 53, 53  } },
	{ "gray22", {  55, 55, 55  } },
	{ "gray23", {  59, 59, 59  } },
	{ "gray24", {  61, 61, 61  } },
	{ "gray25", {  63, 63, 63  } },
	{ "gray251", {  64, 64, 64  } },
	{ "gray26", {  66, 66, 66  } },
	{ "gray27", {  68, 68, 68  } },
	{ "gray28", {  70, 70, 70  } },
	{ "gray29", {  73, 73, 73  } },
	{ "gray30", {  76, 76, 76  } },
	{ "gray302", {  77, 77, 77  } },
	{ "gray302", {  77, 77, 77  } },
	{ "gray31", {  79, 79, 79  } },
	{ "gray32", {  82, 82, 82  } },
	{ "gray33", {  84, 84, 84  } },
	{ "gray34", {  86, 86, 86  } },
	{ "gray35", {  89, 89, 89  } },
	{ "gray351", {  88, 88, 88  } },
	{ "gray36", {  91, 91, 91  } },
	{ "gray37", {  93, 93, 93  } },
	{ "gray38", {  97, 97, 97  } },
	{ "gray39", {  99, 99, 99  } },
	{ "gray40", {  102, 102, 102  } },
	{ "gray402", {  9, 9, 9  } },
	{ "gray41", {  104, 104, 104  } },
	{ "gray42", {  106, 106, 106  } },
	{ "gray43", {  110, 110, 110  } },
	{ "gray44", {  112, 112, 112  } },
	{ "gray45", {  114, 114, 114  } },
	{ "gray451", {  115, 115, 115  } },
	{ "gray46", {  117, 117, 117  } },
	{ "gray47", {  119, 119, 119  } },
	{ "gray48", {  121, 121, 121  } },
	{ "gray49", {  124, 124, 124  } },
	{ "gray50", {  127, 127, 127  } },
	{ "gray502", {  126, 126, 126  } },
	{ "gray502", {  126, 126, 126  } },
	{ "gray51", {  130, 130, 130  } },
	{ "gray52", {  133, 133, 133  } },
	{ "gray53", {  135, 135, 135  } },
	{ "gray54", {  137, 137, 137  } },
	{ "gray55", {  140, 140, 140  } },
	{ "gray551", {  139, 139, 139  } },
	{ "gray56", {  142, 142, 142  } },
	{ "gray57", {  144, 144, 144  } },
	{ "gray58", {  148, 148, 148  } },
	{ "gray59", {  150, 150, 150  } },
	{ "gray60", {  153, 153, 153  } },
	{ "gray602", {  15, 15, 15  } },
	{ "gray61", {  155, 155, 155  } },
	{ "gray62", {  157, 157, 157  } },
	{ "gray63", {  161, 161, 161  } },
	{ "gray64", {  163, 163, 163  } },
	{ "gray65", {  165, 165, 165  } },
	{ "gray651", {  166, 166, 166  } },
	{ "gray66", {  168, 168, 168  } },
	{ "gray67", {  170, 170, 170  } },
	{ "gray68", {  172, 172, 172  } },
	{ "gray69", {  175, 175, 175  } },
	{ "gray70", {  178, 178, 178  } },
	{ "gray702", {  179, 179, 179  } },
	{ "gray702", {  179, 179, 179  } },
	{ "gray71", {  181, 181, 181  } },
	{ "gray72", {  184, 184, 184  } },
	{ "gray73", {  186, 186, 186  } },
	{ "gray74", {  188, 188, 188  } },
	{ "gray75", {  191, 191, 191  } },
	{ "gray751", {  190, 190, 190  } },
	{ "gray76", {  193, 193, 193  } },
	{ "gray77", {  195, 195, 195  } },
	{ "gray78", {  199, 199, 199  } },
	{ "gray79", {  201, 201, 201  } },
	{ "gray80", {  204, 204, 204  } },
	{ "gray802", {  19, 19, 19  } },
	{ "gray81", {  206, 206, 206  } },
	{ "gray82", {  208, 208, 208  } },
	{ "gray83", {  212, 212, 212  } },
	{ "gray84", {  214, 214, 214  } },
	{ "gray85", {  216, 216, 216  } },
	{ "gray851", {  217, 217, 217  } },
	{ "gray86", {  219, 219, 219  } },
	{ "gray87", {  221, 221, 221  } },
	{ "gray88", {  223, 223, 223  } },
	{ "gray89", {  226, 226, 226  } },
	{ "gray90", {  229, 229, 229  } },
	{ "gray902", {  228, 228, 228  } },
	{ "gray902", {  228, 228, 228  } },
	{ "gray91", {  232, 232, 232  } },
	{ "gray92", {  235, 235, 235  } },
	{ "gray93", {  237, 237, 237  } },
	{ "gray94", {  239, 239, 239  } },
	{ "gray95", {  242, 242, 242  } },
	{ "gray951", {  241, 241, 241  } },
	{ "gray96", {  244, 244, 244  } },
	{ "gray97", {  246, 246, 246  } },
	{ "gray98", {  250, 250, 250  } },
	{ "gray99", {  252, 252, 252  } },
	{ "green", {  0, 255, 0  } },
	{ "green1", {  0, 255, 0  } },
	{ "green2", {  0, 237, 0  } },
	{ "green3", {  0, 204, 0  } },
	{ "green4", {  0, 139, 0  } },
	{ "greencopper", {  81, 124, 117  } },
	{ "greenyellow", {  147, 219, 112  } },
	{ "greenyellow1", {  172, 255, 46  } },
	{ "grey", {  191, 191, 191  } },
	{ "grey0", {  0, 0, 0  } },
	{ "grey1", {  190, 190, 190  } },
	{ "grey10", {  26, 26, 26  } },
	{ "grey100", {  255, 255, 255  } },
	{ "grey11", {  3, 3, 3  } },
	{ "grey111", {  28, 28, 28  } },
	{ "grey12", {  31, 31, 31  } },
	{ "grey13", {  33, 33, 33  } },
	{ "grey14", {  35, 35, 35  } },
	{ "grey15", {  37, 37, 37  } },
	{ "grey16", {  40, 40, 40  } },
	{ "grey17", {  42, 42, 42  } },
	{ "grey18", {  46, 46, 46  } },
	{ "grey19", {  48, 48, 48  } },
	{ "grey2", {  5, 5, 5  } },
	{ "grey20", {  51, 51, 51  } },
	{ "grey21", {  53, 53, 53  } },
	{ "grey22", {  55, 55, 55  } },
	{ "grey23", {  59, 59, 59  } },
	{ "grey24", {  61, 61, 61  } },
	{ "grey25", {  64, 64, 64  } },
	{ "grey26", {  66, 66, 66  } },
	{ "grey27", {  68, 68, 68  } },
	{ "grey28", {  70, 70, 70  } },
	{ "grey29", {  73, 73, 73  } },
	{ "grey3", {  7, 7, 7  } },
	{ "grey30", {  77, 77, 77  } },
	{ "grey31", {  79, 79, 79  } },
	{ "grey32", {  82, 82, 82  } },
	{ "grey33", {  84, 84, 84  } },
	{ "grey34", {  86, 86, 86  } },
	{ "grey35", {  88, 88, 88  } },
	{ "grey36", {  91, 91, 91  } },
	{ "grey37", {  93, 93, 93  } },
	{ "grey38", {  97, 97, 97  } },
	{ "grey39", {  99, 99, 99  } },
	{ "grey4", {  9, 9, 9  } },
	{ "grey40", {  102, 102, 102  } },
	{ "grey41", {  104, 104, 104  } },
	{ "grey42", {  106, 106, 106  } },
	{ "grey43", {  110, 110, 110  } },
	{ "grey44", {  112, 112, 112  } },
	{ "grey45", {  115, 115, 115  } },
	{ "grey46", {  117, 117, 117  } },
	{ "grey47", {  119, 119, 119  } },
	{ "grey48", {  121, 121, 121  } },
	{ "grey49", {  124, 124, 124  } },
	{ "grey5", {  13, 13, 13  } },
	{ "grey50", {  126, 126, 126  } },
	{ "grey51", {  130, 130, 130  } },
	{ "grey52", {  133, 133, 133  } },
	{ "grey53", {  135, 135, 135  } },
	{ "grey54", {  137, 137, 137  } },
	{ "grey55", {  139, 139, 139  } },
	{ "grey56", {  142, 142, 142  } },
	{ "grey57", {  144, 144, 144  } },
	{ "grey58", {  148, 148, 148  } },
	{ "grey59", {  150, 150, 150  } },
	{ "grey6", {  15, 15, 15  } },
	{ "grey60", {  153, 153, 153  } },
	{ "grey61", {  155, 155, 155  } },
	{ "grey62", {  157, 157, 157  } },
	{ "grey63", {  161, 161, 161  } },
	{ "grey64", {  163, 163, 163  } },
	{ "grey65", {  166, 166, 166  } },
	{ "grey66", {  168, 168, 168  } },
	{ "grey67", {  170, 170, 170  } },
	{ "grey68", {  172, 172, 172  } },
	{ "grey69", {  175, 175, 175  } },
	{ "grey7", {  17, 17, 17  } },
	{ "grey70", {  179, 179, 179  } },
	{ "grey71", {  181, 181, 181  } },
	{ "grey72", {  184, 184, 184  } },
	{ "grey73", {  186, 186, 186  } },
	{ "grey74", {  188, 188, 188  } },
	{ "grey75", {  190, 190, 190  } },
	{ "grey76", {  193, 193, 193  } },
	{ "grey77", {  195, 195, 195  } },
	{ "grey78", {  199, 199, 199  } },
	{ "grey79", {  201, 201, 201  } },
	{ "grey8", {  19, 19, 19  } },
	{ "grey80", {  204, 204, 204  } },
	{ "grey81", {  206, 206, 206  } },
	{ "grey82", {  208, 208, 208  } },
	{ "grey83", {  212, 212, 212  } },
	{ "grey84", {  214, 214, 214  } },
	{ "grey85", {  217, 217, 217  } },
	{ "grey86", {  219, 219, 219  } },
	{ "grey87", {  221, 221, 221  } },
	{ "grey88", {  223, 223, 223  } },
	{ "grey89", {  226, 226, 226  } },
	{ "grey9", {  23, 23, 23  } },
	{ "grey90", {  228, 228, 228  } },
	{ "grey91", {  232, 232, 232  } },
	{ "grey92", {  235, 235, 235  } },
	{ "grey93", {  237, 237, 237  } },
	{ "grey94", {  239, 239, 239  } },
	{ "grey95", {  241, 241, 241  } },
	{ "grey96", {  244, 244, 244  } },
	{ "grey97", {  246, 246, 246  } },
	{ "grey98", {  250, 250, 250  } },
	{ "grey99", {  252, 252, 252  } },
	{ "honeydew", {  239, 255, 239  } },
	{ "honeydew1", {  239, 255, 239  } },
	{ "honeydew2", {  223, 237, 223  } },
	{ "honeydew3", {  192, 204, 192  } },
	{ "honeydew4", {  130, 139, 130  } },
	{ "hotpink", {  255, 104, 179  } },
	{ "hotpink1", {  255, 110, 179  } },
	{ "hotpink2", {  237, 106, 166  } },
	{ "hotpink3", {  204, 95, 144  } },
	{ "hotpink4", {  139, 57, 97  } },
	{ "huntersgreen", {  33, 94, 79  } },
	{ "indianred", {  79, 47, 47  } },
	{ "indianred1", {  204, 91, 91  } },
	{ "indianred11", {  255, 106, 106  } },
	{ "indianred2", {  237, 99, 99  } },
	{ "indianred3", {  204, 84, 84  } },
	{ "indianred4", {  139, 57, 57  } },
	{ "ivory", {  255, 255, 239  } },
	{ "ivory1", {  255, 255, 239  } },
	{ "ivory2", {  237, 237, 223  } },
	{ "ivory3", {  204, 204, 192  } },
	{ "ivory4", {  139, 139, 130  } },
	{ "khaki", {  158, 158, 94  } },
	{ "khaki1", {  239, 230, 139  } },
	{ "khaki11", {  255, 246, 142  } },
	{ "khaki2", {  237, 230, 133  } },
	{ "khaki3", {  204, 197, 115  } },
	{ "khaki4", {  139, 133, 77  } },
	{ "lavender", {  230, 230, 250  } },
	{ "lavenderblush", {  255, 239, 244  } },
	{ "lavenderblush1", {  255, 239, 244  } },
	{ "lavenderblush2", {  237, 223, 228  } },
	{ "lavenderblush3", {  204, 192, 197  } },
	{ "lavenderblush4", {  139, 130, 133  } },
	{ "lawngreen", {  124, 252, 0  } },
	{ "lemonchiffon", {  255, 250, 204  } },
	{ "lemonchiffon1", {  255, 250, 204  } },
	{ "lemonchiffon2", {  237, 232, 190  } },
	{ "lemonchiffon3", {  204, 201, 164  } },
	{ "lemonchiffon4", {  139, 137, 112  } },
	{ "lightblue", {  191, 216, 216  } },
	{ "lightblue1", {  172, 215, 230  } },
	{ "lightblue11", {  190, 239, 255  } },
	{ "lightblue2", {  177, 223, 237  } },
	{ "lightblue3", {  153, 192, 204  } },
	{ "lightblue4", {  104, 130, 139  } },
	{ "lightcoral", {  239, 128, 128  } },
	{ "lightcyan", {  223, 255, 255  } },
	{ "lightcyan1", {  223, 255, 255  } },
	{ "lightcyan2", {  208, 237, 237  } },
	{ "lightcyan3", {  179, 204, 204  } },
	{ "lightcyan4", {  121, 139, 139  } },
	{ "lightgoldenrod", {  250, 250, 210  } },
	{ "lightgoldenrod1", {  255, 235, 139  } },
	{ "lightgoldenrod2", {  237, 221, 130  } },
	{ "lightgoldenrod21", {  237, 219, 130  } },
	{ "lightgoldenrod3", {  204, 190, 112  } },
	{ "lightgoldenrod4", {  139, 128, 75  } },
	{ "lightgoldenrodyellow", {  250, 250, 210  } },
	{ "lightgray", {  168, 168, 168  } },
	{ "lightgray1", {  210, 210, 210  } },
	{ "lightgreen", {  144, 237, 144  } },
	{ "lightgrey", {  168, 168, 168  } },
	{ "lightgrey1", {  210, 210, 210  } },
	{ "lightpink", {  255, 181, 192  } },
	{ "lightpink1", {  255, 173, 184  } },
	{ "lightpink2", {  237, 161, 172  } },
	{ "lightpink3", {  204, 139, 148  } },
	{ "lightpink4", {  139, 95, 101  } },
	{ "lightsalmon", {  255, 159, 121  } },
	{ "lightsalmon1", {  255, 159, 121  } },
	{ "lightsalmon2", {  237, 148, 113  } },
	{ "lightsalmon3", {  204, 128, 97  } },
	{ "lightsalmon4", {  139, 86, 66  } },
	{ "lightsea", {  31, 177, 170  } },
	{ "lightseagreen", {  31, 177, 170  } },
	{ "lightskyblue", {  135, 205, 235  } },
	{ "lightskyblue1", {  135, 206, 250  } },
	{ "lightskyblue11", {  175, 226, 255  } },
	{ "lightskyblue2", {  164, 210, 237  } },
	{ "lightskyblue3", {  141, 181, 204  } },
	{ "lightskyblue4", {  95, 122, 139  } },
	{ "lightslate", {  119, 135, 153  } },
	{ "lightslate3", {  132, 112, 255  } },
	{ "lightslateblue", {  132, 112, 255  } },
	{ "lightslategray", {  119, 135, 153  } },
	{ "lightslategrey", {  119, 135, 153  } },
	{ "lightsteelblue", {  142, 142, 188  } },
	{ "lightsteelblue1", {  175, 195, 221  } },
	{ "lightsteelblue11", {  201, 224, 255  } },
	{ "lightsteelblue2", {  188, 210, 237  } },
	{ "lightsteelblue3", {  161, 181, 204  } },
	{ "lightsteelblue4", {  110, 122, 139  } },
	{ "lightwood", {  232, 193, 165  } },
	{ "lightyellow", {  255, 255, 223  } },
	{ "lightyellow1", {  255, 255, 223  } },
	{ "lightyellow2", {  237, 237, 208  } },
	{ "lightyellow3", {  204, 204, 179  } },
	{ "lightyellow4", {  139, 139, 121  } },
	{ "limegreen", {  49, 204, 49  } },
	{ "limegreen1", {  50, 204, 50  } },
	{ "linen", {  250, 239, 230  } },
	{ "magenta", {  255, 0, 255  } },
	{ "magenta1", {  255, 0, 255  } },
	{ "magenta2", {  237, 0, 237  } },
	{ "magenta3", {  204, 0, 204  } },
	{ "magenta4", {  139, 0, 139  } },
	{ "mandarinorange", {  226, 119, 51  } },
	{ "maroon", {  142, 35, 107  } },
	{ "maroon1", {  175, 48, 95  } },
	{ "maroon11", {  255, 51, 179  } },
	{ "maroon2", {  237, 48, 166  } },
	{ "maroon3", {  204, 40, 144  } },
	{ "maroon4", {  139, 28, 97  } },
	{ "mediumaquamarine", {  49, 204, 153  } },
	{ "mediumaquamarine1", {  102, 204, 170  } },
	{ "mediumblue", {  49, 49, 204  } },
	{ "mediumblue1", {  0, 0, 204  } },
	{ "mediumbrown", {  116, 28, 29  } },
	{ "mediumforestgreen", {  107, 142, 35  } },
	{ "mediumgoldenrod", {  233, 233, 172  } },
	{ "mediumgray", {  127, 127, 127  } },
	{ "mediumgrey", {  127, 127, 127  } },
	{ "mediumorchid", {  147, 112, 219  } },
	{ "mediumorchid1", {  186, 84, 210  } },
	{ "mediumorchid11", {  223, 102, 255  } },
	{ "mediumorchid2", {  208, 95, 237  } },
	{ "mediumorchid3", {  179, 82, 204  } },
	{ "mediumorchid4", {  121, 55, 139  } },
	{ "mediumplum", {  140, 102, 140  } },
	{ "mediumpurple", {  146, 112, 219  } },
	{ "mediumpurple1", {  170, 130, 255  } },
	{ "mediumpurple2", {  159, 121, 237  } },
	{ "mediumpurple3", {  137, 104, 204  } },
	{ "mediumpurple4", {  93, 70, 139  } },
	{ "mediumseagreen", {  66, 110, 66  } },
	{ "mediumseagreen1", {  59, 179, 113  } },
	{ "mediumslateblue", {  126, 0, 255  } },
	{ "mediumslateblue1", {  122, 104, 237  } },
	{ "mediumspringgreen", {  126, 255, 0  } },
	{ "mediumspringgreen1", {  0, 250, 153  } },
	{ "mediumtan", {  219, 147, 112  } },
	{ "mediumturquoise", {  112, 219, 219  } },
	{ "mediumturquoise1", {  71, 208, 204  } },
	{ "mediumvioletred", {  219, 112, 147  } },
	{ "mediumvioletred1", {  199, 21, 133  } },
	{ "mediumwood", {  165, 127, 99  } },
	{ "mica", {  0, 0, 0  } },
	{ "midnightblue", {  47, 47, 79  } },
	{ "midnightblue1", {  25, 25, 112  } },
	{ "mintcream", {  244, 255, 250  } },
	{ "mistyrose", {  255, 228, 224  } },
	{ "mistyrose1", {  255, 228, 224  } },
	{ "mistyrose2", {  237, 212, 210  } },
	{ "mistyrose3", {  204, 183, 181  } },
	{ "mistyrose4", {  139, 124, 122  } },
	{ "moccasin", {  255, 228, 181  } },
	{ "navajowhite", {  255, 221, 172  } },
	{ "navajowhite1", {  255, 221, 172  } },
	{ "navajowhite2", {  237, 206, 161  } },
	{ "navajowhite3", {  204, 179, 139  } },
	{ "navajowhite4", {  139, 121, 93  } },
	{ "navy", {  35, 35, 142  } },
	{ "navy2", {  0, 0, 128  } },
	{ "navyblue", {  35, 35, 142  } },
	{ "navyblue1", {  0, 0, 128  } },
	{ "neonblue", {  76, 76, 255  } },
	{ "neonpink", {  255, 109, 198  } },
	{ "newmidnightblue", {  0, 0, 155  } },
	{ "newtan", {  234, 198, 158  } },
	{ "oldgold", {  206, 181, 58  } },
	{ "oldlace", {  252, 244, 230  } },
	{ "olivedrab", {  106, 141, 35  } },
	{ "olivedrab1", {  192, 255, 62  } },
	{ "olivedrab2", {  179, 237, 57  } },
	{ "olivedrab3", {  153, 204, 50  } },
	{ "olivedrab4", {  104, 139, 33  } },
	{ "orange", {  204, 49, 49  } },
	{ "orange1", {  255, 164, 0  } },
	{ "orange2", {  255, 127, 0  } },
	{ "orange21", {  237, 153, 0  } },
	{ "orange3", {  255, 164, 0  } },
	{ "orange31", {  204, 133, 0  } },
	{ "orange4", {  139, 90, 0  } },
	{ "orangered", {  255, 0, 126  } },
	{ "orangered1", {  255, 68, 0  } },
	{ "orangered2", {  237, 64, 0  } },
	{ "orangered3", {  204, 55, 0  } },
	{ "orangered4", {  139, 37, 0  } },
	{ "orchid", {  219, 112, 219  } },
	{ "orchid1", {  217, 112, 214  } },
	{ "orchid11", {  255, 130, 250  } },
	{ "orchid2", {  237, 121, 232  } },
	{ "orchid3", {  204, 104, 201  } },
	{ "orchid4", {  139, 70, 137  } },
	{ "palegoldenrod", {  237, 232, 170  } },
	{ "palegreen", {  142, 188, 142  } },
	{ "palegreen1", {  152, 250, 152  } },
	{ "palegreen11", {  153, 255, 153  } },
	{ "palegreen2", {  144, 237, 144  } },
	{ "palegreen3", {  124, 204, 124  } },
	{ "palegreen4", {  84, 139, 84  } },
	{ "paleturquoise", {  175, 237, 237  } },
	{ "paleturquoise1", {  186, 255, 255  } },
	{ "paleturquoise2", {  173, 237, 237  } },
	{ "paleturquoise3", {  150, 204, 204  } },
	{ "paleturquoise4", {  102, 139, 139  } },
	{ "paleviolet", {  219, 112, 146  } },
	{ "palevioletred", {  219, 112, 146  } },
	{ "palevioletred1", {  255, 130, 170  } },
	{ "palevioletred2", {  237, 121, 159  } },
	{ "palevioletred3", {  204, 104, 137  } },
	{ "palevioletred4", {  139, 70, 93  } },
	{ "papayawhip", {  255, 239, 212  } },
	{ "peachpuff", {  255, 217, 184  } },
	{ "peachpuff1", {  255, 217, 184  } },
	{ "peachpuff2", {  237, 203, 172  } },
	{ "peachpuff3", {  204, 175, 148  } },
	{ "peachpuff4", {  139, 119, 101  } },
	{ "peru", {  204, 133, 62  } },
	{ "pink", {  188, 142, 142  } },
	{ "pink1", {  255, 192, 203  } },
	{ "pink11", {  255, 181, 197  } },
	{ "pink2", {  237, 168, 184  } },
	{ "pink3", {  204, 144, 157  } },
	{ "pink4", {  139, 99, 108  } },
	{ "plum", {  233, 172, 233  } },
	{ "plum1", {  221, 159, 221  } },
	{ "plum11", {  255, 186, 255  } },
	{ "plum2", {  237, 173, 237  } },
	{ "plum3", {  204, 150, 204  } },
	{ "plum4", {  139, 102, 139  } },
	{ "powderblue", {  175, 223, 230  } },
	{ "purple", {  159, 31, 239  } },
	{ "purple1", {  155, 48, 255  } },
	{ "purple2", {  144, 44, 237  } },
	{ "purple3", {  124, 37, 204  } },
	{ "purple4", {  84, 26, 139  } },
	{ "quartz", {  216, 216, 242  } },
	{ "red", {  255, 0, 0  } },
	{ "red1", {  255, 0, 0  } },
	{ "red2", {  237, 0, 0  } },
	{ "red3", {  204, 0, 0  } },
	{ "red4", {  139, 0, 0  } },
	{ "richblue", {  89, 89, 170  } },
	{ "rosybrown", {  188, 142, 142  } },
	{ "rosybrown1", {  255, 192, 192  } },
	{ "rosybrown2", {  237, 179, 179  } },
	{ "rosybrown3", {  204, 155, 155  } },
	{ "rosybrown4", {  139, 104, 104  } },
	{ "royalblue", {  64, 104, 224  } },
	{ "royalblue1", {  71, 117, 255  } },
	{ "royalblue2", {  66, 110, 237  } },
	{ "royalblue3", {  57, 95, 204  } },
	{ "royalblue4", {  39, 64, 139  } },
	{ "saddlebrown", {  139, 68, 19  } },
	{ "salmon", {  110, 66, 66  } },
	{ "salmon1", {  250, 128, 113  } },
	{ "salmon11", {  255, 139, 104  } },
	{ "salmon2", {  237, 130, 97  } },
	{ "salmon3", {  204, 112, 84  } },
	{ "salmon4", {  139, 75, 57  } },
	{ "sandybrown", {  243, 164, 95  } },
	{ "scarlet", {  140, 22, 22  } },
	{ "seagreen", {  35, 142, 107  } },
	{ "seagreen1", {  46, 139, 86  } },
	{ "seagreen11", {  84, 255, 159  } },
	{ "seagreen2", {  77, 237, 148  } },
	{ "seagreen3", {  66, 204, 128  } },
	{ "seagreen4", {  46, 139, 86  } },
	{ "seashell", {  255, 244, 237  } },
	{ "seashell1", {  255, 244, 237  } },
	{ "seashell2", {  237, 228, 221  } },
	{ "seashell3", {  204, 197, 190  } },
	{ "seashell4", {  139, 133, 130  } },
	{ "semisweetchoc", {  107, 66, 38  } },
	{ "sienna", {  142, 107, 35  } },
	{ "sienna1", {  159, 82, 44  } },
	{ "sienna11", {  255, 130, 70  } },
	{ "sienna2", {  237, 121, 66  } },
	{ "sienna3", {  204, 104, 57  } },
	{ "sienna4", {  139, 70, 37  } },
	{ "silver", {  153, 153, 178  } },
	{ "silver1", {  229, 232, 249  } },
	{ "skyblue", {  49, 153, 204  } },
	{ "skyblue1", {  135, 206, 235  } },
	{ "skyblue11", {  135, 206, 255  } },
	{ "skyblue2", {  126, 192, 237  } },
	{ "skyblue3", {  108, 166, 204  } },
	{ "skyblue4", {  73, 112, 139  } },
	{ "slateblue", {  0, 126, 255  } },
	{ "slateblue1", {  106, 90, 204  } },
	{ "slateblue11", {  130, 110, 255  } },
	{ "slateblue2", {  121, 102, 237  } },
	{ "slateblue3", {  104, 88, 204  } },
	{ "slateblue4", {  70, 59, 139  } },
	{ "slategray", {  112, 128, 144  } },
	{ "slategray1", {  197, 226, 255  } },
	{ "slategray2", {  184, 210, 237  } },
	{ "slategray3", {  159, 181, 204  } },
	{ "slategray4", {  108, 122, 139  } },
	{ "slategrey", {  112, 128, 144  } },
	{ "snow", {  255, 250, 250  } },
	{ "snow1", {  255, 250, 250  } },
	{ "snow2", {  237, 232, 232  } },
	{ "snow3", {  204, 201, 201  } },
	{ "snow4", {  139, 137, 137  } },
	{ "spicypink", {  255, 28, 173  } },
	{ "springgreen", {  0, 255, 126  } },
	{ "springgreen1", {  0, 255, 126  } },
	{ "springgreen2", {  0, 237, 117  } },
	{ "springgreen3", {  0, 204, 102  } },
	{ "springgreen4", {  0, 139, 68  } },
	{ "steelblue", {  35, 107, 142  } },
	{ "steelblue1", {  70, 130, 179  } },
	{ "steelblue11", {  99, 184, 255  } },
	{ "steelblue2", {  91, 172, 237  } },
	{ "steelblue3", {  79, 148, 204  } },
	{ "steelblue4", {  53, 99, 139  } },
	{ "summersky", {  56, 175, 221  } },
	{ "tan", {  219, 147, 112  } },
	{ "tan1", {  210, 179, 139  } },
	{ "tan11", {  255, 164, 79  } },
	{ "tan2", {  237, 153, 73  } },
	{ "tan3", {  204, 133, 62  } },
	{ "tan4", {  139, 90, 42  } },
	{ "thistle", {  216, 191, 216  } },
	{ "thistle1", {  215, 190, 215  } },
	{ "thistle11", {  255, 224, 255  } },
	{ "thistle2", {  237, 210, 237  } },
	{ "thistle3", {  204, 181, 204  } },
	{ "thistle4", {  139, 122, 139  } },
	{ "tomato", {  255, 99, 70  } },
	{ "tomato1", {  255, 99, 70  } },
	{ "tomato2", {  237, 91, 66  } },
	{ "tomato3", {  204, 79, 57  } },
	{ "tomato4", {  139, 53, 37  } },
	{ "turquoise", {  172, 233, 233  } },
	{ "turquoise1", {  64, 223, 208  } },
	{ "turquoise11", {  0, 244, 255  } },
	{ "turquoise2", {  0, 228, 237  } },
	{ "turquoise3", {  0, 197, 204  } },
	{ "turquoise4", {  0, 133, 139  } },
	{ "verydarkbrown", {  89, 40, 35  } },
	{ "verylightgray", {  204, 204, 204  } },
	{ "verylightgrey", {  204, 204, 204  } },
	{ "violet", {  79, 47, 79  } },
	{ "violet3", {  237, 130, 237  } },
	{ "violetred", {  204, 49, 153  } },
	{ "violetred1", {  208, 31, 144  } },
	{ "violetred11", {  255, 62, 150  } },
	{ "violetred2", {  237, 57, 139  } },
	{ "violetred3", {  204, 50, 119  } },
	{ "violetred4", {  139, 33, 82  } },
	{ "wheat", {  216, 216, 191  } },
	{ "wheat1", {  244, 221, 179  } },
	{ "wheat11", {  255, 230, 186  } },
	{ "wheat2", {  237, 215, 173  } },
	{ "wheat3", {  204, 186, 150  } },
	{ "wheat4", {  139, 126, 102  } },
	{ "white", {  255, 255, 255  } },
	{ "whitesmoke", {  244, 244, 244  } },
	{ "yellow", {  255, 255, 0  } },
	{ "yellow1", {  255, 255, 0  } },
	{ "yellow2", {  237, 237, 0  } },
	{ "yellow3", {  204, 204, 0  } },
	{ "yellow4", {  139, 139, 0  } },
	{ "yellowgreen", {  153, 204, 49  } },
	{ "yellowgreen1", {  153, 204, 50  } },

	};

#define NUMBER_OF_COLORS sizeof(colors)/sizeof(ColorEntry)

