#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- dial.tcl --- Test harness for the dial widget
#
# Copyright(C) I.B.Findleton, 2001. All Rights Reserved
#
Destroy t
#
Toplevel t -h -20
#
# Establish some global settings for Knobs...
#
Option add Output.align bottom
Option add Output.width 50
Option add Label.width 50
Option add Label.relief flat
Option add Dial.selectioncolor red
#
# Create a widget that displays the value of a knob
#
proc KnobWidget { w x title args } {

	global Data

	Package $w -orientation vertical -spacing 10 -x $x -width 25 

	Label $w.label -text $title
	eval { Dial $w.knob -command "set Data($w) %value" } $args
	set Data($w) [$w.knob get -value]
	Output $w.out -variable Data($w)

	return $w
	}
#
# A standard knob with a linear scale
#
KnobWidget t.k1 +0 "Normal" -dialstyle normal
#
# A knob with a logarithmic scale and a line instaed of a dot. The
# range of values is set to -100 through 100.
#
KnobWidget t.k2 +100 "Line" -dialstyle line -min -100 -max 100
#
# A knob with a tripple log scale and a scale factor of 10000 for
# the value of the knob...
#
KnobWidget t.k3  +200 "Filled" -dialstyle filled -max 10000
#
# A button to get rid of the demonstration
#
Button t.quit -command Exit -text "Dismiss" -y +170
#
# Show the window
#
Show t
#
Wm title t "Dial Demonstration"
