#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}

# --- Frame.tcl --- Test routines for the Frame widget

# Copyright (C) I.B.Findleton, 2000. All Rights Reserved

package require Fltk

Destroy root

Option clear Frame

Option add Frame.relief engraved
Option add Frame.alignment center

# Create the main window

Toplevel root -label "Frame Test"

# Create a frame widget. This is just a box, not an actual window.

proc MakeFrame { w { x 10 } { y 10 } { wd 100 } { ht 100 } \
							{ label "Test Frame" } { fg red } { bg blue } { relief raised } \
							{ font arial,bold,italic } { style shadow } } {

	set f [Frame $w -x $x -y $y -w $wd -h $ht -label "$label" \
			-fontsize 20 -fontstyle $style -font $font \
			-foreground $fg -background $bg -relief $relief]

	return $f
	}

# Make some frames

proc MakeFrames { root } {

	global f1 f2 f3 f4 f5

	set f1 [MakeFrame $root.f1 10 10 100 100 "Frame 1" red blue raised arial,bold,italic shadow]

	set f2 [MakeFrame $root.f2 10 120 100 50 "Frame 2" yellow cyan sunken arial,bold,italic shadow]

	set f3 [MakeFrame $root.f3 120 10 100 100 "Frame 3" cyan 210,200,210 engraved courier,bold embossed]

	set f4 [MakeFrame $root.f4 120 120 100 50 "Frame 4" 60 192 engraved courier,bold embossed]

	set f5 [MakeFrame $root.f5 10 180 100 50 "Frame 5" magenta gray border times,bold,italic symbol]
	}

# An event handler

proc Handler { args } {

	puts "$args"

	}

MakeFrames root

# Create a button to get rid of the window

Button root.b1 -x 120 -y 210 -text Dismiss -font helv,bold -fontsize 12 -command exit

# Display all of the windows

Show root

# Set up some event bindings on the widgets

Bind $f3 <Move> { Handler %W %T %x %y %X %Y }
Bind $f5 <Enter> { %W config -relief raised }
Bind $f5 <Leave> { %W config -relief engraved }
Bind $f1 <Key> { Handler %W %T %x %y %X %Y %k %K %N %s }


