#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- group.tcl --- Test harness for the Group widget
#
# Copyright(C) I.B.Findleton, 2003. All Rights Reserved
#
Destroy t
#
# Configure the LightButton widgets
#
Option add Group.relief flat
Option add Group.collapsable true
Option add LightButton.selectioncolor red
Option add LightButton.relief flat
#
# Pack the groups into a container
#
set f [Package t.all -orientation vertical]
# 
# Create a group widget to hold the buttons. Create 5 rows and 2 columns
#
Group $f.g1 -r 5 -c 2 -label "A group of exclusive options"
# 
# Add the buttons. These are of the radio type, so all will be exclusive
# within the group.
# 
for { set i 0 } { $i < 10 } { incr i } {
	LightButton $f.g1.b$i -text "Option $i" -type radio
	}
#
# Create a group of non-exclusive options
#
Group $f.g2 -r 5 -c 2 -label "A group of non-exclusive options"
#
# Add some buttons of the toggle type for the options. These are non-
# exclusive options, so many can be selected.
#
for { set i 10 } { $i < 20 } { incr i } {
	LightButton $f.g2.b$i -text "Option $i" -type toggle
	}

Show t

Wm title t "Group Widget Demonstration"

