#!/bin/sh
# \
exec fltkwish "$0" -- ${1+"$@"}
#
# --- drawing.tcl --- Test harness for the drawing widget
#
# Copyright(C) I.B.Findleton, 2002. All Rights Reserved
#
Destroy t

set Data(Images) icons3
set Data(Widget) [Drawing t.t -variable Data(Model) \
		-tooltip "Click to see the next image" -relief raised]
set Data(ImageList) [glob $Data(Images)/*.gif]

set Data(Current) -1
set Data(Limit) [llength $Data(ImageList)]

proc Next { w b } {

	global Data

	switch $b {

1	{
		if { [incr Data(Current)] >= $Data(Limit) } {
			set Data(Current) 0
			}
		}
3	{
		if { [incr Data(Current) -1] < 0 } {
			set Data(Current) [expr $Data(Limit) - 1]
			}
		}
	} ;# End of switch cases

	set name [lindex $Data(ImageList) $Data(Current)]

	$w set -value "cs ht ( sp -30 -30 bd 60 60 im $name )"

	$w set -value "( sp -12 +40 tx \"[file tail $name]\" )"
	}

Bind t.t <ButtonPress> { %W set -relief sunken ; Next %W %b }
Bind t.t <ButtonRelease> { %W set -relief raised }

Show t

Next t.t 1


