#!/bin/sh
# \
exec tclsh "$0" ${1+"$@"}
#
# --- load.tcl --- Get icon files from the web site
#
# Copyright (C) I.B.Findleton, 2002. All Rights Reserved

package require TclUtils
package require httpcopy

# This is the web site to use

set query http://weatheroffice.ec.gc.ca

set Maps(Verbose) 0

proc Pad { what { with 0 } { len 2 } } {

	while { [string length $what] < $len } {
		set what $with$what
		}

	return $what
	}

proc LoadFile { query which name } {
	
	global Maps

	if { ! [file exists $which/$name] } {
		if { [catch { ::http::copy $query/$which/$name tmp.gif } reason] } {
			puts "Failed to get $which/$name because : $reason"
		} else {
			if { $Maps(IsImage) } {
				file copy tmp.gif $which/$name
				puts "Got $which/$name"
				}
			}
		}
	}

proc LoadAllFiles { query } {

	foreach which { weathericons icons3 } {
		for { set i 1 } { $i < 100 } { incr i } {
			set name [Pad $i].gif
			LoadFile $query $which $name
			}	
		}
	}

if { [llength $argv] } {
	foreach f $argv {
		foreach which { weathericons icons3 } {
			LoadFile $query $which $f
			}
		}
} else {
	LoadAllFiles $query
	}

#file delete tmp.gif

exit

		
