#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}

# --- input.tcl --- Test harness for the input widget

# Copyright(C) I.B.Findleton, 2001. All Rights Reserved

package require Fltk

# Configure the widgets using the option database

Option clear Label
Option clear Button

Option add Label.font helv,bold
Option add Label.fontsize 12
Option add Label.relief flat
Option add Label.x 10
Option add Label.y 10

Option add Button.font helv,bold
Option add Button.fontsize 12

# Create the main window

Toplevel t -width 420 -height 250

# The following line creates a single line input that is also tracking the
# contents of its variable. The value in variable will be updated if the
# user edits the widget, or if a script changes the value

Label t.l1 -w 80 -text "Simple Input"

Input t.i -x 100 -value 10.2 -variable myvar -variablecommand { t.i config -value $myvar }

# This is a multi-line input widget

Label t.l2 -y +30 -w 130 -text "Multi-line text input"
 
Input t.i1 -format multi-line -height 150 -width 400 -y 60

# Load in some data

t.i1 load listbox.tcl

# Add a button that will get rid of the window

Button t.b1 -x 10 -y 220 -text Dismiss -command exit 

# This will display all the children of the root window...

Show t
 
