#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- iterator.tcl --- Test harness for the Iterator widget
#

# Load a file

proc LoadFile { w name } {

	$w clear
	if { [catch { open $name r } fd] == 0 } {
		eval { $w add } [split [read $fd] \n]
		close $fd
		Wm title t "Iterator test : $name"
		}
	}

# Get the list of files to display

set l [glob *.cpp]

Option add Iterator.list l
		
Destroy t

set f [Package t.all -orientation vertical]

Listbox $f.text -w 600 -h 400

set f1 [Package $f.actions -orientation horizontal]

Iterator $f1.reverse -auto true -command "LoadFile $f.text %value" \
		-rate 500 -label @<< -type toggle -forward false -variable where

# Here is an iterator that steps backwards through the loop

Iterator $f1.back -command "LoadFile $f.text %value" -label @< \
		-forward false -variable where

# This simple button stops the loop

Button $f1.stop -command "$f1.ahead stop ; $f1.reverse stop"

# Here is a simple iterator that steps forward through the list

Iterator $f1.fwd -command "LoadFile $f.text %value" -label @> -variable where

# This button will automatically repeat its command when pressed on a
# time delay defined by the rate option. The repeat cycle will continue
# until the button is pressed again.
#
Iterator $f1.ahead -auto true -command "LoadFile $f.text %value" \
		 -rate 500 -label @>> -type toggle -variable where 

Show [Center t]

Wm title t "Iterator Test"
