#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- knob.tcl --- Test harness for the knob widget
#
# Copyright(C) I.B.Findleton, 2001. All Rights Reserved
#
Destroy t
#
set f [Package t.t -o vertical]
#
# Establish some global settings for Knobs...
#
Option add Label.width 50
Option add Label.relief flat
#
# Create a widget that displays the value of a knob
#
proc KnobWidget { w title args } {

	global Data

	Package $w -orientation vertical -spacing 10 

	Label $w.label -text $title
	eval { Knob $w.knob -command "set Data($w) %value" } $args
	set Data($w) [$w.knob get -value]
	Value $w.out -variable Data($w) -relief sunken -align center -bg white

	return $w
	}
	
set f1 [Package $f.knobs -o horizontal]
#
# A standard knob with a linear scale
#
KnobWidget $f1.k1 "Linear Scale"
#
# A knob with a logarithmic scale and a line instaed of a dot. The
# range of values is set to -100 through 100.
#
KnobWidget $f1.k2 "Log Scale" -knobstyle log,line -zero -100 -scale 200
#
# A knob with a tripple log scale and a scale factor of 10000 for
# the value of the knob...
#
KnobWidget $f1.k3 "Triple Log" -knobstyle log,3 -scale 10000
#
# A button to get rid of the demonstration
#
Button $f.quit -command Exit -text "Dismiss" -y +100
#
# Show the window
#
Show t
#
Wm title t "Knob Demonstration"
