#!/bin/sh
# \
exec fltkwish "$0" --  ${1+"$@"}
#
# --- menubtn.tcl --- Test harness for menu buttons
#
# Copyright (C) I.B.Findleton, 2001. All Rights Reserved
#
# Set some options for the labels used to display values
#
Option add Label.x 120
Option add Label.w 100
Option add Label.align right,inside
Option add Label.y 10
#
# The menu items wil inherit the characteristics of the parent menu,
# so, create something fancy...
#
Option add Menu.font helv,italic
Option add Menu.background yellow
#
Toplevel t -autosize false -title "Menu Button Tests"
#
set MyVar 1
set Msg ""
#
# This just displays the name of the last radio item selected
#
proc Radio { w } {

	global Msg

	set Msg "[$w get -label]"
	}
#
# This menu is a button that when pressed will drop down the actual menu...
#
Menu t.m -type button -x 10 -y 10 -w 100 -h 20 -relief raised -label "Button Menu"
#
# Create a check button and assign its variable to be MyVar. Since MyVar
# is already initialized to 1, the item will be checked.
#
t.m add check -variable MyVar -label "My Variable"
#
# This label will display the current state of the check
#
Label t.l -variable MyVar
#
# Create some radio button menu items and assign them to global variables.
# Here the variable creation is automatic.
# 
t.m add radio -variable Radio(0) -label "Radio 0" -command { Radio %W }
t.m add radio -value 1 -variable Radio(1) -label "Radio 1" -command { Radio %W }
t.m add radio -variable Radio(2) -label "Radio 2" -command { Radio %W }
#
# These labels will display the values of the radio buttons
#
Label t.r0 -y +20 -w 100 -variable Radio(0)
Label t.r1 -y +40 -w 100 -variable Radio(1)
Label t.r2 -y +60 -w 100 -variable Radio(2)
#
# This label is used to show the results of the command proc
#
Label t.lbl -x 10 -y +100 -relief flat -align left,inside -label "Last Radio Item"
Label t.msg -y +100 -variable Msg

Show t

