#/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}

# --- move.tcl --- Utility function to be used to layout windows

# Copyright(C) I.B.Findleton, 2001. All Rights Reserved.

#Scheme shiny

Toplevel t

ComboBox t.c -x 100 

set names { Iain Ross Amber Julie Derek Emily Ashley Amber Suzanne Alexandra }

eval { t.c add } $names

Button t.b -text Dismiss -command exit -x 10 -y 150

Show t

# Define the regions of the window for mouse cursor changes

proc WindowBoundaries { w { border 2 } } {

	global Data

	set list { x y w h } 

	foreach item $list { set Data($item) [$w cget -$item] }

	set Data(x) [expr $Data(x) + $border]
	set Data(y) [expr $Data(y) + $border]
	set Data(r) [expr $Data(x) + $Data(w) - $border]
	set Data(b) [expr $Data(y) + $Data(h) - $border]

	}

# Get the cursor appropriate to a location in the window

proc GetCursor { w x y } {

	global Data

	if { $x < $Data(x) && $y < $Data(y) } {
		set Data(Cursor) "northwest-southeast"
	} elseif { $x > $Data(r) && $y > $Data(b) } {
		set Data(Cursor) "northwest-southeast"
	} elseif { $x < $Data(x) && $y > $Data(b) } { 
		set Data(Cursor) "northeast-southwest"
	} elseif { $x > $Data(r) && $y < $Data(y) } {
		set Data(Cursor) "northeast-southwest"
	} elseif { $x < $Data(x) || $x > $Data(r) } {
		set Data(Cursor)  "east-west"
	} elseif { $y < $Data(y) || $y > $Data(b) } {
		set Data(Cursor) "north-south"
	} else {
		set Data(Cursor) "arrow"
		}

	return $Data(Cursor)
	}

# Move a window based on mouse displacement

proc Move { w x y } {

	global Data

	puts "Motion $w $x $y $Data(Pressed) $Data(X) $Data(Y) $x $y"

	WindowBoundaries $w

	GetCursor $w $x $y
	
	set p [Winfo parent $w]

	$p config -cursor $Data(Cursor)

	puts $Data(Cursor)

	if { $Data(Pressed) } {
		set Data(X) [expr $x - $Data(X)]
		set Data(Y) [expr $y - $Data(Y)]
		$w config -x +$Data(X) -y +$Data(Y)
		set Data(X) $x
		set Data(Y) $y 
		}
	}

# Handle a button press

proc Pressed { w x y b } {

	global Data

	if { $b == $Data(Button) } {
		set Data(Pressed) 1
		set Data(X) $x
		set Data(Y) $y
		}
	}

# Handle a button release

proc Release { w x y b } {

	global Data

	if { $b == $Data(Button) } {
		set Data(Pressed) 0
		}
	}

# Set up a window to be positioned with the mouse

proc PositionWindow { w { button 2 } } {

	global Data

	set Data(X) 0
	set Data(Y) 0
	set Data(Pressed) 0
	set Data(Button) $button

	Bind $w <ButtonPress> { Press %W %x %y %b }
	Bind $w <ButtonRelease> { Release %W %x %y %b }
	Bind $w <Motion> { Move %W %x %y }

	}

# Cancel positioning of a window

proc CancelPositioning { w } {

	Bind $w <ButtonPress>
	Bind $w <ButtonRelease>
	Bind $w <Motion>

	}

PositionWindow t.c

