#!/bin/sh
#" \
exec fltkwish "$0" ${1+"$@"}

# --- output.tcl --- Test harnes for the output widget

# Copyright (C) I.B.Findleton, 2001. All Rights Reserved

package require Fltk

Application set -name "Output Test"

# If you want to see this with GL, uncomment the next line...

#Scheme shiny -name "Brass Buttons" -background brass -bg2 brass

Toplevel root -w 450

# This is a simple 1 line data display widget

Output root.o -x 20 -y 20 -value Iain

# The following is a multi-line text widget

Text root.t -x 20 -y 60 -h 100 -value "This is a multi-line text\nIt is a read only item."

# The slider is like a scroll bar. When the position changes the script
# specified by the command option is executed to update a variable

Slider root.s -x 200 -y 20 -command { set SliderVar [root.s cget -value ] }

# The following one line output tracks writes to the variable SliderVar
# and updates the contents of the display widget. Note that the variable
# is automatically created and initialized to the value of 0. If the
# variable already existed, the the current value of the variable would have
# been used.

Output root.o1 -x 200 -y 60 -value 0 -variable SliderVar

# Create a button to get rid of the demo window

Button root.b1 -x 20 -y 200 -text Dismiss -command exit -font helv,bold -fontsize 12
Show root

