#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- package.tcl --- Test harness for a package in an autosized toplevel
#
# Copyright (C) I.B.Findleton, 2001. All RIghts Reserved
#
# This script demostrates how to use a package to arrange widgets in a
# top level window that is both created by implication and autosizes to
# wrap the resulting widgets. 
#
catch { Destroy t }

# Create the package to stack the widgets vertically

set f [Package t.p -o vertical]

# Put a few buttons into the package

for { set i 0 } { $i < 3 } { incr i } { Button $f.b$i }

# Add a cleanup button

Button $f.quit -text Dismiss -command Exit

# Display the top level window. It will have been created as the parent
# of the first button.

Show t


