#!/bin/sh
# \
exec fltkwish "$0" -- ${1+"$@"}
#
# --- plot.tcl --- Test harness for the XYPlot Widget
#
# Copyright(C) I.B.Findleton, 2001. All Rights Reserved
#
# This script shows how to add a list of points to a plot widget.
#
catch { Destroy t }

# Create a plot widget. Show the least squares regression model for the
# points plotted on the graph.
#
XYPlot t.t -fit true -align top,inside -label "Test Plot" -line true \
	-xlabel "Value of X" -ylabel "Value of X**2" -grid true
#
# Add some points to the plot. Here the function is y = x ** 2;
#
for { set i 0 } { $i < 10 } { incr i } {
	t.t add -x $i -y [expr $i * $i] -color red -label [expr $i * $i] -symbol plus \
			-linestyle dash -tag $i
	}
#
Show t
#
Wm title t "Plot Test Demonstration"

