#!/bin/sh
# \
exec fltkwish "$0" -- ${1+"$@"}
#
# --- plot.tcl --- Test harness for the XYPlot Widget
#
# Copyright(C) I.B.Findleton, 2001. All Rights Reserved
#
# This script shows how to use the xyplot widget to generate a
# graph from a set of data in a Tcl array variable. The widget
# will scan the named variable for values and plot the data.
#
catch { Destroy t }

# Generate some data in a global array

for { set i 0 } { $i < 10 } { incr i } {
	set Data($i,[expr $i * $i]) [expr $i * $i]
	}
#
# Create a plot widget and bind a variable to it. This plot will also
# compute the linear regression fit to the plotted points and display
# both the fit and the standard error bounds for the regression.
#
XYPlot t.t -fit true -align top,inside -label "Test Plot from Tcl Array" \
	-line true -variable Data -autolabel true -linestyle dashdot \
	-xlabel "Value of X" -ylabel "Value of X**2" -grid true \
	-bg blue -fg white -font helv,italic -plotbackground gray
#
# Display the widget
#
Show t
#
Wm title t "Plot Test Demonstration"

