#!\bin\sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- Popup.tcl --- Test harness for the popup menu
#
# Copyright(C) I.B.Findleton, 2001. All Rights Reserved
#
# At least one window must exist for a popup to work...
#
Toplevel t -label "Popup Menu Test Harness"; Show t

# Command procedure

proc Command { w id } {

	puts "Command is from menu $w item %i"
	}

# Radio

proc Radio { w id v } {

	puts "Radio command from menu $w item $id value $v"
	}

# Check

proc Check { w id v } {

	puts "Check command from menu $w item $id value $v"
	}
# Initialise the variables for the radio/check items

set Data(1) 1
set Data(2) 0
set Data(3) 1

#
# The location is relative to the parent window
#
set m [Popup t.popup -x 100 -y 100]
#
$m add command -command { Command %w %i } -text Help
$m add command -command Exit -text Quit
$m add radio -command { Radio %w %i %v } -text "Radio Button 1" -variable Data(1)
$m add radio -command { Radio %w %i %v } -text "Radio Button 2" -options divider -variable Data(2)
$m add check -command { Check %w %i %v } -text "Check Button" -variable Data(3)
$m add cascade -text "Sub Menu"
$m add radio -command { Radio %w %i %v } -text "Radio Button 3"
$m add radio -command { Radio %w %i %v } -text "Radio Button 4"
$m add terminator


while { [set choice [$m popup]] != "" } {
	puts "Chose $choice Data(1) $Data(1) Data(2) $Data(2) Data(3) $Data(3)"
	} 
