#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- table.tcl --- Test harness for the table widget
#
# Copyright (C) I.B.Findleton, 2001. All Rights Reserved
#
catch { Destroy t }

catch { unset TableData }

# If you want to see this using an OpenGL rendition, uncomment the following line

# Scheme shiny

# Initialize a global variable with the values to be displayed in the table. The following will set the
# column titles in the table...
#
set TableData(Header,0) "Name"
set TableData(Header,1) "Address"
set TableData(Header,2) "Country"
set TableData(Header,3) "Postal Code"
set TableData(Header,4) "Phone"

# Here is some data for the table

set Entries {
	{ "George Ferguson" "23 Milky Way" "Nervana" "20315" "555-284-3159" }
	{ "Ariel Fish" "8194 Deep Lagoon" "Easte Caribe Island" "SW3" "011-5-23846" }
	{ "Dr. Know" "31 Flying Plate Drive" "Ego Republic" "2S5" "OR-8-4173" }
	{ "Adrian Androngenous" "63 Fairy Lane" "Homsteed" "X0X 0X0" "1-800-7777" }
	{ "Dirk Dogged" "10973 Sleuth St, Apt 12" "Megalopolis" "812764" "555-326-8049" }
	}

# The data for display is held in the variable that is bound for the table. Here that data is 
# initialized from the above list

for { set i 0 } { $i < 5 } { incr i } {
	set TableData($i,Header) [expr $i + 1]
	for { set j 0 } { $j < 5 } { incr j } {
		set TableData($i,$j) [lindex [lindex $Entries $i] $j]
		}
	}

# Create a table that can handle the data. This particular table will have row headers,
# column headers and grid lines. the column size is changeable using the mouse...

Table t.t -label "My Address Book" -features headers,dividers \
		-rows 5 -columns 5 -cw 25%,25%,15%,15%,20% \
		-variable TableData -w 800 -h 192 -row_height 30 \
		-selectioncolor red

# All done. Display the widget and start editing the data...

Show t

Wm title t "Test Harness for the Table Widget"


