#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- tabs.tcl --- Test harness for the Tabs widget
#
# Copyright(C) I.B.Findleton, 2001. All Rights Reserved
#
Destroy t

Toplevel t; Tabs t.tt -w 300 -h 220

# Each tab is a group widget, but it could be any single widget or any of
# the other containers, such as a Package, Tile, Wizard, Tabs, or Scroll.

for { set i 0 } { $i < 5 } { incr i } {
	Group t.tt.group$i -w 300 -h 200 -label "Group $i"
	}
#
# Put some stuff into the tabed children
#

proc LabeledListbox { w args } {

	global Data

	set f [Package $w -orientation vertical -relief sunkenframe]
	eval { Label $f.label -relief raised -qn true } $args
	eval { Listbox $f.list -relief flat -bg tan } $args

	return $f.list
	}

set l [LabeledListbox t.tt.group2.list -w 296 -h 176 -label.text "Demo Scripts" ]

eval { $l add } [glob *.tcl]

Button t.tt.group4.button -text "Dismiss" -command Exit -x 100 -y 50

# Here the area of the scroll is the is the full width and height of the
# parent Group widget. The value of 4 is twice the width of the border,
# which we don't care about here...

Scroll t.tt.group3.image -w width+4 -h height+4

# Here the image is centered in its Image widget, which is a child of the
# Scroll. The image widget is placed to be centered with respect to x
# in the parent widget...

Image t.tt.group3.image.image -file images/ashley.gif -x centered -centered yes

Show t

