# Pressure tendency codes 5 - falling, 6 - falling then steady, 
# 7 - falling then rising, 9 - steady then falling, 10 - steady, 
# 11 - steady then rising, 13 - rising then falling, 14 - rising then steady, 
# 15 - rising. 

set Model(5) "( hm sp +\$where -4 rt 160 fd 10 )"
set Model(6) "( hm sp +\$where -4 rt 160 fd 8 lt 70 fd 4 )"
set Model(7) "( hm sp +\$where -4 rt 160 fd 8 lt 120 fd 6 )"
set Model(9) "( hm sp +\$where +0 rt 90 fd 4 rt 70 fd 6 )"
set Model(10) "( hm sp +\$where +0 rt 90 fd 6 )"
set Model(11) "( hm sp +\$where +4 rt 90 fd 2 lt 70 fd 10 )"
set Model(13) "( hm sp +\$where +4 rt 20 fd 8 rt 140 fd 4 )"
set Model(14) "( hm sp +\$where +4 rt 20 fd 8 rt 70 fd 4 )"
set Model(15) "( hm sp +\$where +4 rt 20 fd 10 )"


# Get the tendency code from the change in pressure

proc GetTendencyCode { change } {

	if { $change < 0 } { 
		return 1 
	} else {
		if { $change > 0 } {
			return 3
		} else {
			return 2
			}
		}
	}

Destroy t

Drawing t.t

proc D { args } {

	t.t set -value "[concat $args]"
	}
	
proc DrawCode { a b c } {

	global Model
	
	set code [expr [expr [GetTendencyCode [expr $b - $c]] << 2] | [GetTendencyCode \
			[expr $a - $b]]]
			
			
	set value [expr $a - $c]
	
	set where [expr [string length $value] * 6 + 2 + 10]

	puts "Code is $code [subst $Model($code)]"

	t.t set -value "cs ht ( pc red cr 6 ) ( sp +10 +6 tx \"$value\" ) "
	t.t set -value "[subst $Model($code)]"
	
	}
	
Show t
