# --- testwdgt.tcl --- Test harnes for the test widget
#
# Copyright(C) I.B.Findleton, 2001. All Rights Reserved
#
# List the options for a widget
#
proc ListOptions { { w t.t } } {

	set list [$w get]

	puts "Current option values for $w ..."

	foreach item $list {
		if { [string index $item 0] == "-" } {
			puts "$item : [$w get $item]"
			}
		}
	}

# Build a list of arguments

proc GetArguments { what args } {

	set result {}

	foreach item $args {
		set parts [split $item "."]
		if { [llength $parts] > 1 } {
			if { [lindex $parts 0] == "-$what" } {
				lappend result "-[lindex $parts 1]"
				}
			}
		}

	return $result
	}

# Build a list of arguments for a set operation

proc SetArguments {
#
# A complex widget built from elements 
#
proc LabeledOutput { w label args } {

	eval { Package $w } $args

	Label $w.label -relief flat -text $label -justify inside,left

	Label $w.output -relief sunken

	eval {
		proc $w.lo { cmd args } {

			switch -exact -- $cmd {
	"get"		{	set LabelList [GetArguments "label" $args]
					set TextList [GetArguments "text" $args]
					set PackList [GetArguments "" $args]

					if { [llength $LabelList] } {
						catch { eval { $w.label get } $LabelList } result
						}
					if { [llength $TextList] } {
						catch { eval { $w.output get } $TextList } result
						}
					if { [llength $PackList] } {
						catch { eval { $w get } $PackList } result
						}
					}
	"set"		{	
					}
				};# End of switch cases

			return $result
			}
		}
	return $w
	}

Toplevel t -autosize false
#
TestWidget t.t -labeltext Hello -value world

set sw [LabeledOutput t.s Hello -y 100 -o h -h 20]
#
Button t.b -y 200 -text Dismiss -command Exit
#
Show t

