#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- tile1.tcl --- Test of the features of the tile widget
#
# Copyright(C) I.B.Findleton, 2004. All Rights Reserved
#
# Construct a compound widget
#
proc LabeledListbox { w args } {

	set f [Package $w -orientation vertical]
	eval { Label $f.label -relief raised } $args
	Listbox $f.list -bg white -relief flat
	
	return $w
	}
	
Option add Label.relief raised
Option add Listbox.bg white
Option add Listbox.relief flat
Option add Listbox.scrollbars none
#	
# Create a Tile widget with 2 rows of 5 columns
#
Tile t.t -r 2 -c 5 -w 500 -h 150 -auto x
#
# Insert the child widgets
#
for { set i 0 } { $i < 5 } { incr i } { 
	Label t.t.l$i -label "Item $i"
	Listbox t.t.list$i
	}
#
# Fill the sections
#
set list [glob *]

foreach item $list {
	t.t.list0 add $item
	t.t.list1 add [file attributes $item]
	t.t.list2 add [file atime $item]
	t.t.list3 add [file mtime $item]
	t.t.list4 add [file size $item]
	}
#
# Display the results
#
Show [Center t]
#
Wm title t "Tile Example"
