# --- urlproc.tcl --- Sample file loading procedure for use with HelpView
# 					based widgets.

package require http 2.1

# Load a URL into a local file

proc UrlProc { url } {

	global env

# Check the URL for a standard format represening internet URLs. If it is
# in that format, use the http package to grab the data.

	if [regexp {^(.)+://} $url protocol] {
		regsub {://} $protocol {} protocol
		switch -exact -- $protocol {

http		{
			puts "Converting $url protocol $protocol"

			set fd [open [set name $env(PWD)/url_temp.html] w]
	
			::http::geturl $url -channel $fd -blocksize 4096
	
			close $fd
			return $name
			}
file		{
			regsub {^file://} $url {} url
			return $url
			}

default	{
			puts "Protocol $protocol not supported"
			return $url
			}
			} ;# end of switch
		} ;# if statement
	
	return $url
	}
	
