# --- userinput.tcl --- Get some input from the user

proc UserInput { title prompt { default "" } } {

	catch { Destroy prompt }

	Toplevel prompt

	set p [Package prompt.all -o v -pad 2]

	Label $p.label -justify left,inside -text $prompt -relief flat
	Input $p.answer

	Bind $p.answer <KeyPress> { if { "%K" == "Enter" } { set result [%W get -value] } }

	Show prompt

	Wm title prompt $title

	set result $default

	vwait result

	Destroy prompt

	return $result
	}



	
