#!/bin/sh
# \
exec fltkwish "$0" -- ${1+"$@"}
#
# --- valroll.tcl --- Test harness for the ValueRoller widget
#
# Copyright(C) I.B.Findleton, 2001. All Rights Reserved
#
# This script shows how to use qualified widget options to initialize the
# components of a mega-widget.
#
# Create a composite widget
#
proc ValueRoller { w args } {
	
	set ord [lsearch -glob $args -*variable]

# Here we want the name of the variable to be a global variable
	
	if { $ord != -1 } {
		set name [lindex $args [incr ord]]
		puts $name
		global $name
		}
		
# Apply the options to the widgets. The filters will handle the screening

	eval { Package $w } $args
	eval { Roller $w.r } $args
	eval { Label $w.l -variable [$w.r get -variable] } $args
	
	return $w
	}

# Initialize the global variable that is to hold the current value of the roller.
	
set TestVar 100

catch { Destroy t }

# This statement uses the widget class names to route the widget options to the appropriate widget
# The result is a much simpler technique for the generation of compound widgets than is
# typical of Tk.

ValueRoller t.v -width 30 -Roller.height 200 \
			-Roller,Package.orientation vertical \
			-Roller.variable TestVar -Roller.min 0 -Roller.max 200 \
		 	-Label.align right,inside

# Display the main window

Show t
