#!/bin/sh
# \
exec fltkwish "$0" ${1+"$@"}
#
# --- wizard.tcl --- Test harness for the Wizard container
#
# Copyright(C) I.B.Findleton, 2003. All Rights Reserved
#
# Move to the next item in the wizard

proc Next { w next prev } {

	global status

	$w next
	
	SetState $w $next $prev
	}

# Move to the previous item in the wizard

proc Prev { w next prev } {

	$w previous

	SetState $w $next $prev
	}

# Set the state of the wizard buttons

proc SetState { w next prev } {

	set count [$w get -count]
	set current [$w get -activechild]

	if { $current == 1 } {
		$prev set -state disabled
		$next set -state normal
	} elseif { $current == $count } {
		$prev set -state normal
		$next set -state disabled
	} else {
		$prev set -state normal
		$next set -state normal
		}
	}
					
# Create a GUI for the wizard

Destroy t

set f [Group t.g -w 400 -h 140 -relief flat]

set w [Wizard $f.w -w width -h 100 -relief flat]

set f0 [Package $f.actions -x right-8 -y 120 -pad 5 -orientation horizontal -w 205]
Button $f0.previous -command "Prev $w $f0.next $f0.previous" -label Previous -state disabled
Button $f0.next -command "Next $w $f0.next $f0.previous" -label Next

proc ScrolledImage { w args } {

	eval { Scroll $w -nocomplain true } $args
	eval { Image $w.image -nocomplain true } $args

	return $w
	}

# The first child

ScrolledImage $w.c1 -Image.f $Fltk(Library)/images/ashley.gif -Scroll.w width  -Scroll.h height

# The second child

ScrolledImage $w.c2 -Image.f $Fltk(Library)/images/clouds.jpg -Scroll.w width -Scroll.h height

# The third child

Button $w.c3 -x centered -y centered -label "Centered Button"

# The fourth child

Button $w.c4 -x center -y top -label "Top Center"

# The fifth child

Listbox $w.c5 -h height -w width

$w.c5 add Iain Ross David Emily Derek Suzanne Ashley Amber Julie Anne-Marie

SetState $w $f0.next $f0.previous

Show t

Wm title t "Wizard Test Harness"
