#!/bin/sh
# \
#exec fltkwish "$0" -- ${1+"$@"}
#
# --- wxmodel.tcl --- Station plot model
#
# Copyright(C) I.B.Findleton, 2002. All Rights Reserved.
#
# This is a demonstration script for the Drawing widget. A simple
# weather report plotting model is drawn using the turtle graphics
# command language.
#
# Here is the simulated weather data
#
set Data(Temperature) 007
set Data(DewPoint) -02
set Data(Pressure) 015
set Data(WindDirection) 270
set Data(WindSpeed) 95

set model \
	"cs home pc red th 2 pd cr 6 th 1 \
	pc black ft helv \
	sp -30 -14 tx \$Data(Temperature) \
	home sp +12 -14 tx \$Data(Pressure) \
	home sp -30 +22 tx \$Data(DewPoint) \
	home rt \$Data(WindDirection) pu fd 6 pd pc black fd 30 \
	"

# Make the wind barbs according to the wind speed

proc MakeSpeed { speed } {

	set fast [expr int($speed / 50)]
	set full [expr int(($speed - ($fast * 50)) / 10)]
	set half [expr int(($speed % 10) / 5)]

	set str "lt 180"
	
	while { $fast } {
		append str " ( lt 105 fd 10 rt 177 fd 10 ) fd 4"
		incr fast -1
		}

	while { $full } {
		append str " ( lt 105 fd 10 ) fd 4"
		incr full -1
		}

	while { $half } {
		append str " ( lt 105 fd 6 ) fd 4"
		incr half -1
		}

	return $str
	}

# Handle a button press

proc HandleButtonPress { w } {

	$w set -relief sunken
	}

# Handle a button release

proc HandleButtonRelease { w } {

	$w set -relief raised
	}

Destroy t

Drawing t.t -relief raised

Bind t.t <ButtonPress> { HandleButtonPress %W }
Bind t.t <ButtonRelease> { HandleButtonRelease %W }

Show t

t.t set -value "[subst $model] [MakeSpeed $Data(WindSpeed)]"


